CSFML 3.0.0
Loading...
Searching...
No Matches
Public Attributes | List of all members
sfSoundSourceCone Struct Reference

Structure defining the properties of a directional cone. More...

`#include <CSFML/Audio/SoundSourceCone.h>`

## Public Attributes
float | innerAngle
| Inner angle, in degrees.
float | outerAngle
| Outer angle, in degrees.
float | outerGain
| Outer gain.

## Detailed Description

Structure defining the properties of a directional cone.

Sounds will play at gain 1 when the listener is positioned within the inner angle of the cone. Sounds will play at outerGain when the listener is positioned outside the outer angle of the cone. The gain declines linearly from 1 to outerGain as the listener moves from the inner angle to the outer angle.

Definition at line 38 of file SoundSourceCone.h.

## Member Data Documentation

## ◆ innerAngle

float sfSoundSourceCone::innerAngle

Inner angle, in degrees.

Definition at line 40 of file SoundSourceCone.h.

## ◆ outerAngle

float sfSoundSourceCone::outerAngle

Outer angle, in degrees.

Definition at line 41 of file SoundSourceCone.h.

## ◆ outerGain

float sfSoundSourceCone::outerGain

Outer gain.

Definition at line 42 of file SoundSourceCone.h.

The documentation for this struct was generated from the following file:

- SoundSourceCone.h